Page MenuHomePhabricator

Retire Labs shell access request process
Closed, ResolvedPublic

Description

Since T97334 got implemented, giving out shell access on its own (in general) does not make sense anymore. Therefore all (?) of the requests I encounter are people either trying to get access to a Labs project (often Toolforge) or people who do not respond to questions to clarify what they need shell access for (probably account collectors or people who think that they need shell access for Gerrit).

Therefore I would like to retire the process, i. e. clean up the documentation where it mentions Labs shell access on its own (without being member of a Labs project).

If there are people who have a legitimate use case for Labs shell access on its own, I think they will find a Labs administrator or file a Phabricator task without it being advertised.

Event Timeline

scfc created this task.Jun 8 2016, 5:41 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 8 2016, 5:41 PM
scfc added a subscriber: bd808.Nov 24 2016, 1:41 PM

@bd808: I think you already completed most of this task? Do you know of any documentation that still refers to shell access requests?

@bd808: I think you already completed most of this task? Do you know of any documentation that still refers to shell access requests?

I deleted the SMW forms after seeing 3 new requests hit the queue. I looked a bit and could not find links that pointed to the forms other that the one that was on Category:Shell_Access_Requests. I have a feeling that there are other pointers to the now removed form though. Maybe we can use mwgrep to look for them?

bd808 closed this task as Resolved.Nov 24 2016, 9:40 PM
bd808 claimed this task.

I hacked up a version of mwgrep to search the main and help namespaces on wikitech. This helped me find and fix Help:Getting_Started. Hopefully that was the last thing giving the old instructions.

Restricted Application added a project: User-bd808. · View Herald TranscriptNov 24 2016, 9:40 PM
bd808 moved this task from To Do to Done on the User-bd808 board.Jan 7 2017, 12:19 AM
bd808 moved this task from Done to Archive on the User-bd808 board.